{% extends "layouts/base.njk" %}
{% import "components/nav/breadcrumb.njk" as breadcrumb %}
{% import "components/page-header.njk" as pageHeader %}
{% import "components/alert.njk" as alert %}
{% import "components/text-picture.njk" as textPicture %}

{% block title %}Alert | Whitelabel{% endblock %}

{% block main %}

  {% call breadcrumb.list() %}
    {{ breadcrumb.item('Home', '/') }}
    {{ breadcrumb.item('CMS Components', '/cms-components.html') }}
    {{ breadcrumb.activeItem('Alert') }}
  {% endcall %}

  {{ pageHeader.element(title = 'Alert' ) }}

  {% call textPicture.textOnly({title: 'Examples'}) %}{% endcall %}

  {{ alert.element(variant = 'primary', text = 'A simple primary alert—check it out!' ) }}
  {{ alert.element(variant = 'secondary', text = 'A simple secondary alert—check it out!' ) }}
  {{ alert.element(variant = 'success', text = 'A simple success alert—check it out!' ) }}
  {{ alert.element(variant = 'danger', text = 'A simple danger alert—check it out!' ) }}
  {{ alert.element(variant = 'warning', text = 'A simple warning alert—check it out!' ) }}
  {{ alert.element(variant = 'info', text = 'A simple info alert—check it out!' ) }}
  {{ alert.element(variant = 'light', text = 'A simple light alert—check it out!' ) }}
  {{ alert.element(variant = 'dark', text = 'A simple dark alert—check it out!' ) }}

  {% call textPicture.textOnly({title: 'Dismissable'}) %}{% endcall %}

  {{ alert.element(variant = 'primary', text = 'A simple primary alert—check it out!', dismissable = true ) }}
  {{ alert.element(variant = 'secondary', text = 'A simple secondary alert—check it out!', dismissable = true ) }}
  {{ alert.element(variant = 'success', text = 'A simple success alert—check it out!', dismissable = true ) }}
  {{ alert.element(variant = 'danger', text = 'A simple danger alert—check it out!', dismissable = true ) }}
  {{ alert.element(variant = 'warning', text = 'A simple warning alert—check it out!', dismissable = true ) }}
  {{ alert.element(variant = 'info', text = 'A simple info alert—check it out!', dismissable = true ) }}
  {{ alert.element(variant = 'light', text = 'A simple light alert—check it out!', dismissable = true ) }}
  {{ alert.element(variant = 'dark', text = 'A simple dark alert—check it out!', dismissable = true ) }}

{% endblock %}